Skip to main content

Printing

The printJob endpoint is very powerful and can be used in three main modes:

  • Deselecting any existing jobs by supplying an empty request body.
  • Non-database section, where a label is selected using the labelName attribute. The attributes copies and queue can be used to refine the selection.
  • Database selection, where tableName must be supplied. Either labelName or labelColumn must be used to select the label. The rest of the attributes can be used to refine the selection.

Request

POST http://printer/api/v3/printers/{name}/printJob

Path Parameters

NameTypeDescription
nameStringPrinter name

Headers

NameTypeDescription
Content-Typestringapplication/json

Body

See Print job.

Abort printing

Request

POST http://printer/api/v3/printers/{name}/abortPrint

Path Parameters

NameTypeDescription
nameStringPrinter name

Headers

None.

Body

None.

Trigger printing

Request

POST http://printer/api/v3/printers/{name}/trigger

Path Parameters

NameTypeDescription
nameStringPrinter name

Headers

None.

Body

None.